Po delší době u Nette – v3.0, php7.2 – nekompatibility s rozšířeními – jak řešíte?

před 5 měsíci

Jiří Nápravník
Člen | 708
+
0
-

Zdravím,
v minulosti jsem vyvíjel dlouhá léta v Nette a skončil někde u verze 2.3. V práci jsem pak přešel na Symfony, ale chci se udržovat v kurzu, tak jsem se rozhodl něco napsat zase v Nette a když už tak pořádně – aktuální php 7.2 a Nette 3.0.

Ale jsem celkem rozčarovaný a to hlavně s doplňky, byl jsem zvyklý používat Kdyby komponenty, Webloader, nějaký další komponenty, ale většina je mrtvá, případně s Nette 3.0 se nepočítá a s php7+ vůbec ne. Pro doctrine jsou za kdyby asi tři různé varianty apod.

Jak to řešíte, to si každou věc forkujete? Nebo je nějaký rozumnější přístup? Zkrátka po asi dni práce jsem se dostal na to, že jsem načetl jeden presenter a nespadl to na žádných nekompatibilátch ať v rámci composeru nebo s nette a to tam nemám skoro žádné balíčky, asi tak pět…

před 5 měsíci

Ondřej Kubíček
Člen | 372
+
+1
-

tak hlavně nette 3 ještě ofiko nevyšlo, furt je to nějaká beta, tak si myslím, že spousta doplnků bude kompatibilních až potom.

takže já to řeším tak, že jedu na stable 2.4 a třeba na doctrine používám Nettrine

před 5 měsíci

Mysteria
Člen | 700
+
+5
-

Vzhledem k tomu, že na většině projektů používám pouze Doctrine2 buď pro MySQL nebo MongoDB a Symfony Translation, tak jsem se rozhodl knihovny úplně zahodit, protože se mi nelíbilo, že kvůli konfiguraci “blbýho připojení k databázi” stáhnu balíček, kterej stáhne dalších šest balíčků, ze kterých ale nic nepoužiju (typicky Symfony Console, proč by měla být povinná k Doctrine2, když si ty commandy můžu spustit přímo). Takže konfiguruji přímo servisy do DIčka přes neon a nejenom že pro konfiguraci Doctrine potřebuju zaregistrovat jenom čtyři servisy s pár setupama, ale navíc jsem se alespoň pořádně naučil pokročilejší konfiguraci služeb přes DIčko pomocí factory, class, setup a zjistil kolik různých způsobů odkazů na vytvořené služby vlastně existuje. :)

Ale jinak co jsem koukal, tak se mi líbí právě Nettrine a Contributte kvůli tomu, že se snaží o co nejtenčí implementaci, takže možná časem po jejich balíčkách zase sáhnu u nějakých složitějších integrací. :)

Editoval Mysteria (3. 11. 2018 20:37)

před 5 měsíci

CZechBoY
Člen | 3308
+
+8
-

Co zkusit webpack misto webloaderu a nettrine misto kdyby/doctrine?

před 5 měsíci

Jiří Nápravník
Člen | 708
+
0
-

Vím, že Nette 3.0 ještě není stable, ale nechce se mi moc dělat něco nového na 2.4, když je trojka (snad na spadnutí), s doplňky je pak i problém s Object třídou, kteoru některé dědí, a pak zase nejde moc použít

Nettrine, Contributte mě mile překvapily. Stejně tak mě potěšilo Componente, tam by bylo fajn, kdyby se dali doplňky hledat i podle toho, jakou verzi podporují…

před 4 měsíci

Felix
Nette Core | 902
+
+3
-

@Mysteria @JiříNápravník

Moc me tesi, ze se vam projekty Contributte a Nettrine libi. Mame i vlastni web, aby clovek mohl trackovat vsechno naraz (http://contributte.org).

Doporucuju se jeste podivat na API-side projekt jmenem Apitte, ktere stavi na PSR-7.


@Mysteria

Ale jinak co jsem koukal, tak se mi líbí právě Nettrine a Contributte kvůli tomu, že se snaží o co nejtenčí implementaci, takže možná časem po jejich balíčkách zase sáhnu u nějakých složitějších integrací. :)

To jsi presne vystihl, cilem projektu Contributte neni stavet nejake velke integrace, ale co nejefektivneji naimportovat balicky primo do Nette. At se jedna o symfony/console nebo doctrine nebo monolog nebo jakykoli dalsi.


@CZechBoY

Co zkusit webpack misto webloaderu a nettrine misto kdyby/doctrine?

Prihodim sem link na repo Nette sandbox s Webpack 4.

https://github.com/…ette-webpack